/*<applet code="ScribbleAppletColor.class" 
          width="500" height="400"></applet>*/ 
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class ScribbleAppletColor extends Applet {
  private Canvas c = new MyCanvas();
  private Choice ch = new Choice();
  private static final Color[] colors = {Color.BLACK, Color.RED, Color.GREEN, Color.BLUE};
  private static final String[] colorNames =  {"Nero", "Rosso", "Verde", "Blu"};
  public void init(){
    this.setLayout(new BorderLayout());
    this.add(c,BorderLayout.CENTER);
    for (int i = 0; i < colorNames.length; i++)
      ch.add(colorNames[i]);
    ch.addItemListener(new AscoltaColore());
    this.add(ch,BorderLayout.EAST);
  }

  class AscoltaColore implements ItemListener {
    public void itemStateChanged(ItemEvent e) {
        c.setForeground(colors[ch.getSelectedIndex()]);
    }
  }
}

class MyCanvas extends Canvas {
  private int lastX, lastY;  
  public MyCanvas() {
    addMouseListener(new AscoltaClick());
    addMouseMotionListener(new AscoltaDrag());
  }
  class AscoltaClick extends MouseAdapter {
    public void mousePressed(MouseEvent e) {
      lastX = e.getX();
      lastY = e.getY();
    }
  }
  class AscoltaDrag extends MouseMotionAdapter {
    public void mouseDragged(MouseEvent e) {
      int x = e.getX();
      int y = e.getY();
      getGraphics().drawLine(lastX,lastY,x,y);
      lastX = x;
      lastY = y;
    }
  }
}
